From: "Sergey Torokhov" <torokhov-s-a@yandex.ru>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-util/fortls/
Date: Mon, 6 May 2024 20:13:18 +0000 (UTC) [thread overview]
Message-ID: <1715026348.49f1fb75092bbe92044cee8cd7a30981ec078b7b.SergeyTorokhov@gentoo> (raw)
commit: 49f1fb75092bbe92044cee8cd7a30981ec078b7b
Author: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
AuthorDate: Mon May 6 18:05:13 2024 +0000
Commit: Sergey Torokhov <torokhov-s-a <AT> yandex <DOT> ru>
CommitDate: Mon May 6 20:12:28 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=49f1fb75
dev-util/fortls: 3.0.0_rc4 version bump
Signed-off-by: Sergey Torokhov <torokhov-s-a <AT> yandex.ru>
dev-util/fortls/Manifest | 1 +
dev-util/fortls/fortls-3.0.0_rc4.ebuild | 38 +++++++++++++++++++++++++++++++++
2 files changed, 39 insertions(+)
diff --git a/dev-util/fortls/Manifest b/dev-util/fortls/Manifest
index 35cad5510b..9671952b23 100644
--- a/dev-util/fortls/Manifest
+++ b/dev-util/fortls/Manifest
@@ -1,3 +1,4 @@
DIST fortls-2.13.0.tar.gz 6897238 BLAKE2B 000bf8d68394c1ce2d4bca044ba3c395b22da9a8e026d9f8e74890ec2fbb894c4097f634f83352fcb21ff6e7e6f4af78bf9f8abdf00ab068d270fb93b9a6574d SHA512 dc5d51fea92d1b00722ee4a33901939fe38fd379260e1edc7a97939cd5c9204e5c27a7f4c57122a0bdf7a36f2f59d0d8f71a50448b6cdc98b1bb2d349511580e
DIST fortls-3.0.0rc2.tar.gz 7061084 BLAKE2B 1f4b818368e7de4d1de2d9c397f37723b26f9f23f18fd971147e35fcbcd95e26dc4a03f7481300a8b7af82da9305371340ee51fc1ac7374786878c7e6dfae526 SHA512 e54596bc079ec3e278621011b15d8d3c74b1e32e152071d11dd34c9cea4c6bf57881f91c018dd41239a7bec263df8d6e91cc4ae6ba1a24e601985c735f3e713d
DIST fortls-3.0.0rc3.tar.gz 7063929 BLAKE2B 13342b02343b78585cc8598fc019a396704c6eb74d447ccc001ac1e7d049e0c2984e3b8c740af500434b5de44f4e3ed637e0bab43bb32ce2e6ed06d4043398df SHA512 cf378edff0e25edd69dc2fa444eedcb62799821986103fdbe1af6efa3b88fb380f26f5adfb8eef2f24d93dde427b5f2038b98ad9a3d9f43e85c060410714a5c0
+DIST fortls-3.0.0rc4.tar.gz 7064199 BLAKE2B 5de77546c39a0b39647e59a829f9b54bae5410a6bb71e95f7c25db73461485ce05c0c1ce046558a4942d2b93d1d96874b70bd849cf9dd9c42bb53fa59f3551be SHA512 9fd06fd80f1f3f15a205936faf6ff400a3df4ab38228e6662869cc42849989d8bc49243bbf241e7736f5eddaa908f7fcb928523ab02251669aede305a2f3d156
diff --git a/dev-util/fortls/fortls-3.0.0_rc4.ebuild b/dev-util/fortls/fortls-3.0.0_rc4.ebuild
new file mode 100644
index 0000000000..68991a0fac
--- /dev/null
+++ b/dev-util/fortls/fortls-3.0.0_rc4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fortran Language Server (fortls)"
+HOMEPAGE="https://fortls.fortran-lang.org"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/json5[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+# Disable test that requires pypi.org connection
+EPYTEST_DESELECT=(
+ test/test_interface.py::test_version_update_pypi
+)
+
+src_prepare() {
+ # Drop some additional coverage tests
+ sed -i -e 's/ --cov=fortls --cov-report=html --cov-report=xml --cov-context=test//' pyproject.toml || die
+ # Disable autoupdate check during tests run
+ sed -i -e 's/"--incremental_sync",/"--incremental_sync", "--disable_autoupdate",/' test/setup_tests.py || die
+ # Fix setuptools warnings
+ sed -i -e 's|include = \["fortls"\]|include = \["fortls\*"\]|' pyproject.toml || die
+
+ distutils-r1_src_prepare
+}
next reply other threads:[~2024-05-06 20:13 UTC|newest]
Thread overview: 16+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-05-06 20:13 Sergey Torokhov [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-21 17:23 [gentoo-commits] repo/proj/guru:dev commit in: dev-util/fortls/ Sergey Torokhov
2024-06-21 22:55 Sergey Torokhov
2024-06-15 15:18 Sergey Torokhov
2024-05-12 5:22 Sergey Torokhov
2024-05-12 5:22 Sergey Torokhov
2024-05-10 12:23 Sergey Torokhov
2024-05-05 12:35 Sergey Torokhov
2024-03-24 14:30 Sergey Torokhov
2024-03-21 20:55 Sergey Torokhov
2024-03-21 20:55 Sergey Torokhov
2023-03-17 13:01 Anna Vyalkova
2023-01-18 23:57 Sergey Torokhov
2022-12-01 18:31 Sergey Torokhov
2022-11-24 14:03 Sergey Torokhov
2022-10-11 23:31 Sergey Torokhov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1715026348.49f1fb75092bbe92044cee8cd7a30981ec078b7b.SergeyTorokhov@gentoo \
--to=torokhov-s-a@yandex.ru \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox